MP4(3)

NAME

MP4GetSampleDuration - Get the duration of a track sample

SYNTAX

#include <mp4.h>

MP4Duration MP4GetSampleDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4SampleId sampleId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

sampleId
    Specifies the sample to which the operation applies. Caveat: the first sample has id 1 not 0.

RETURN VALUES

Upon success, the sample duration in track time scale units. Upon an error, MP4_INVALID_DURATION.

DESCRIPTION

MP4GetSampleDuration returns the duration of the specified sample from the specified track in the track time scale units. See MP4ConvertFromTrackDuration() for how to map this value to another time scale.

SEE ALSO

MP4(3) MP4ConvertFromTrackDuration(3)